FaceSetOffsetCollection Class

class NXOpen.GeometricUtilities.FaceSetOffsetCollection

Bases: object

This class contains the factory methods for creating an face set offset.

To obtain an instance of this class, refer to NXOpen.Part

New in version NX4.0.0.

Methods

Method Description
CreateEmptyFaceSet Creates an empty offset face set, with all parameters set to 0 or None
CreateFaceSet Creates an offset face set.

Method Detail

CreateEmptyFaceSet

FaceSetOffsetCollection.CreateEmptyFaceSet

Creates an empty offset face set, with all parameters set to 0 or None

Signature CreateEmptyFaceSet()

Returns:Resultant offset face set
Return type:NXOpen.GeometricUtilities.FaceSetOffset

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateFaceSet

FaceSetOffsetCollection.CreateFaceSet

Creates an offset face set.

Signature CreateFaceSet(offset, faceCollector, flipValue, index)

Parameters:
  • offset (str) – Initial expression string for offset distance
  • faceCollector (NXOpen.ScCollector) – Smart collector for the face set
  • flipValue (bool) – Whether the faceset should be flipped or not
  • index (int) – Index of face set in the list
Returns:

Resultant offset face set

Return type:

NXOpen.GeometricUtilities.FaceSetOffset

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)